Bug 168671 - [exp-run] Make devel/cmake and devel/cmake-gui not use its bundled libraries when possible
Summary: [exp-run] Make devel/cmake and devel/cmake-gui not use its bundled libraries ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-04 15:40 UTC by Raphael Kubo da Costa
Modified: 2014-09-02 13:09 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2012-06-04 15:40:12 UTC
We (kde@) would like to request an exp-run to verify a change in
devel/cmake and devel/cmake-gui; so far, these ports have build and
used their own copies of curl, expat, libarchive and (IIRC) zlib and
bzip2.

The idea is to make it use the libraries in base or ports instead
whenever possible.

The current patch is in
<http://people.freebsd.org/~rakuco/cmake-use-system-libs.diff>. It'd
be good to test it on both 9 (or 10) and 7 (or 8), since the
dependencies vary among FreeBSD releases due to the libarchive
versions present in them.
Comment 1 Raphael Kubo da Costa freebsd_committer 2012-06-04 15:45:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

exp-runs are portmgr territory
Comment 2 Martin Wilke freebsd_committer 2012-06-06 12:22:18 UTC
Responsible Changed
From-To: portmgr->miwi

take for exprun
Comment 3 Raphael Kubo da Costa freebsd_committer 2012-06-14 17:48:46 UTC
miwi mentioned on IRC that the patch was rejected, but did not say what
exactly failed. Waiting for some input.
Comment 4 Baptiste Daroussin freebsd_committer 2012-10-29 09:53:21 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Reassign to the heap miwi being overloaded for now
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2013-01-20 00:20:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Should have been reassigned to portmgr, not freebsd-ports-bugs.
Comment 6 Raphael Kubo da Costa freebsd_committer 2013-07-19 11:43:08 UTC
State Changed
From-To: open->suspended

Suspending for now. Doing this is still important, but I have no ETA for 
the work.
Comment 7 Raphael Kubo da Costa freebsd_committer 2014-09-02 13:09:32 UTC
Finally committed in https://svnweb.freebsd.org/ports?view=revision&revision=366996